View Issue Details

IDProjectCategoryView StatusLast Update
0011007mantisbtfilterspublic2017-01-31 04:02
ReporterbrianstvAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Versiongit trunk 
Target Version2.1.0Fixed in Version2.1.0 
Summary0011007: After setting $g_view_filters = ADVANCED_ONLY in config_inc.php can still end up in simple filter mode.
Description

After setting $g_view_filters = ADVANCED_ONLY in config_inc.php can still end up in simple filter mode.

occasionally clicking on a link that calls the view_issues page, the filter can end up in the 'simple' filter mode.

Additional Information

Found that the code in core/filter_api.php filter_ensure_valid_filter function can default to the 'simple' view type when '_view_type' is not passed without checking to see what $g_view_filters is set to.

This might possibly be related to Issue 0006497

Tagspatch

Relationships

related to 0006497 closeddaryn Setting view_filters to ADVANCED_ONLY or SIMPLE_ONLY only takes into effect after changing a filter 
related to 0021811 closedcproensa Advanced filter shows icorrect fields 
child of 0021935 closedcproensa Filter api refactoring, manage stored filters 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-10-05 17:23 brianstv New Issue
2009-10-07 04:06 vboctor Tag Attached: patch
2009-10-07 04:07 vboctor Relationship added related to 0006497
2009-10-29 04:04 vboctor Status new => confirmed
2016-10-20 03:39 cproensa Relationship added related to 0021811
2016-11-20 16:07 cproensa Relationship added child of 0021935
2017-01-14 17:46 cproensa Assigned To => cproensa
2017-01-14 17:46 cproensa Status confirmed => assigned
2017-01-14 17:47 cproensa Status assigned => resolved
2017-01-14 17:47 cproensa Resolution open => fixed
2017-01-14 17:47 cproensa Fixed in Version => 2.1.0
2017-01-14 17:47 cproensa Target Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed